.calendar {
  width: 300px;
  height: 1080px;
  display: flex;
  flex-direction: column;
  position: relative;
}

.calendar [data-overlapped="overlapped"]:nth-child(odd) {
  width: 100px;
  right: 0;
}

.calendar [data-overlapped="overlapped"]:nth-child(even) {
  width: 100px;
  right: 100px;
}

.calendar_cell {
  width: 300px;
  height: calc(100% / 18);
  min-height: calc(100% / 18);
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  column-gap: 20px;
}

.calendar_cell:last-child {
  height: max-content;
  min-height: max-content;
}

.calendar_cell .calendar_cell_title {
  font-size: 16px;
  min-width: 80px;
}

.calendar_cell_event {
  position: relative;
  width: 100%;
  height: 100%;
}

.calendar_cell:nth-child(even) {
  border-top: 1px solid black;
}

.calendar_cell:nth-child(odd) .calendar_cell_title {
  font-size: 12px;
}